GNU Radio C++ API Reference: gr::fec::code::fec_mtrx Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::fec::code::fec_mtrx Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » Error Coding and Decoding

Base class for FEC matrix objects. More...

`#include <gnuradio/fec/fec_mtrx.h>`

## Public Member Functions
virtual | ~fec_mtrx ()
virtual void | encode (unsigned char *outbuffer, const unsigned char *inbuffer) const =0
| Encode `inbuffer` with LDPC H matrix into `outbuffer`.
virtual void | decode (unsigned char *outbuffer, const float *inbuffer, unsigned int frame_size, unsigned int max_iterations) const =0
| Decode `inbuffer` with LDPC H matrix into `outbuffer`.
virtual unsigned int | n () const =0
| Get the codeword length n.
virtual unsigned int | k () const =0
| Get the information word length k.

## Protected Member Functions
| fec_mtrx (void)

## Detailed Description

Base class for FEC matrix objects.

Base class of ldpc_H_matrix and ldpc_G_matrix classes. The child objects can be either generator matrices or parity check matrices. This base class can be provided to the decoder ldpc_bit_flip_decoder, whereas the encoder classes ldpc_gen_mtrx_encoder and ldpc_encoder will not accept this base class; they require one of the child classes.

## Constructor & Destructor Documentation

## ◆ fec_mtrx()

gr::fec::code::fec_mtrx::fec_mtrx | ( | void |  | ) |
| inlineprotected

## ◆ ~fec_mtrx()

virtual gr::fec::code::fec_mtrx::~fec_mtrx | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ decode()

virtual void gr::fec::code::fec_mtrx::decode | ( | unsigned char * | outbuffer,
|  | const float * | inbuffer,
|  | unsigned int | frame_size,
|  | unsigned int | max_iterations ) const
| pure virtual

Decode `inbuffer` with LDPC H matrix into `outbuffer`.

Implemented in gr::fec::code::ldpc_G_matrix, and gr::fec::code::ldpc_H_matrix.

## ◆ encode()

virtual void gr::fec::code::fec_mtrx::encode | ( | unsigned char * | outbuffer,
|  | const unsigned char * | inbuffer ) const
| pure virtual

Encode `inbuffer` with LDPC H matrix into `outbuffer`.

Implemented in gr::fec::code::ldpc_G_matrix, and gr::fec::code::ldpc_H_matrix.

## ◆ k()

virtual unsigned int gr::fec::code::fec_mtrx::k | ( |  | ) | const
| pure virtual

Get the information word length k.

Implemented in gr::fec::code::ldpc_G_matrix, and gr::fec::code::ldpc_H_matrix.

## ◆ n()

virtual unsigned int gr::fec::code::fec_mtrx::n | ( |  | ) | const
| pure virtual

Get the codeword length n.

Implemented in gr::fec::code::ldpc_G_matrix, and gr::fec::code::ldpc_H_matrix.

The documentation for this class was generated from the following file:

- fec_mtrx.h